#### Linux From Scratch - Version 10.1-rc1

### Chapter 6. Cross Compiling Temporary Tools

- Prev

  Introduction

- Next

  Ncurses-6.2

- Up
- Home

# 6.2. M4-1.4.18

The M4 package contains a macro processor.

Approximate build time: 0.1 SBU
Required disk space: 22 MB

## 6.2.1. Installation of M4

First, make some fixes introduced by glibc-2.28:

    sed -i 's/IO_ftrylockfile/IO_EOF_SEEN/' lib/*.c
    echo "#define _IO_IN_BACKUP 0x100" >> lib/stdio-impl.h

Prepare M4 for compilation:

    ./configure --prefix=/usr   \
                --host=$LFS_TGT \
                --build=$(build-aux/config.guess)

Compile the package:

    make

Install the package:

    make DESTDIR=$LFS install

Details on this package are located in Section 8.12.2, “Contents of M4.”

- Prev

  Introduction

- Next

  Ncurses-6.2

- Up
- Home